| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_SIZE_D

BOOST_VMD_SIZE_D — Returns the size of a sequence. Re-entrant version.

## Synopsis

    // In header: <boost/vmd/size.hpp>

    BOOST_VMD_SIZE_D(d, sequence)

## Description

d = The next available BOOST_PP_WHILE iteration. sequence = A sequence to test.

returns = If the sequence is empty returns 0, else returns the number of elements in the sequence.